//! @file 
//! @brief File containing the implmentation of the Test Methods
//!

#include "TestCalculations.h"

//! setUp() method that is executed before all the test cases that the test class includes 
void TestCalculations::setUp(void)
{
	CalcObject = new Calculations();
}

//! tearDown() method that is executed after all the test cases that the test class includes 
void TestCalculations::tearDown(void)
{
	delete CalcObject;
}

//! test method to test the Addition() method of the Calculations class 
//! Test Case: 3+3=6
void TestCalculations::testAddition(void)
{
    CPPUNIT_ASSERT(6 == CalcObject->Addition(3,3));
}

//! test method to test the Multiplication() method of the Calculations class 
//! Test Case: 2*3=6
void TestCalculations::testMultiplication(void)
{
    CPPUNIT_ASSERT(6 == CalcObject->Multiplication(2,3));
}

//! test method to test the Division() method of the Calculations class 
//! Test Case: 9/3=3
void TestCalculations::testDivision(void)
{
    CPPUNIT_ASSERT(3 == CalcObject->Division(9,3));
}

//! test method to test the Subtraction() method of the Calculations class 
//! Test Case: 9-3=6
void TestCalculations::testSubtraction(void)
{
    CPPUNIT_ASSERT(6 == CalcObject->Subtraction(9,3));
}



 